<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_auths.mvvm.vm.PensonalSignUpInputViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_auths.ui.PensonalSignupInputActivity.ClickProxy" />


    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="Personal Sign Up" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/d_5dp"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:layout_marginRight="@dimen/d_5dp"
                    android:layout_marginBottom="@dimen/d_10dp"
                    android:background="@drawable/shadow_round_gray_bg"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:layout_marginRight="@dimen/d_10dp"
                        android:orientation="vertical">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginTop="@dimen/d_18dp"
                            android:src="@drawable/signup_top_img" />


                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_18dp"
                            android:layout_marginTop="@dimen/d_12dp"
                            android:text="Mobile"
                            android:textColor="#547395"
                            android:textSize="14sp" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="43dp"
                            android:layout_marginLeft="@dimen/d_12dp"
                            android:layout_marginTop="@dimen/d_8dp"
                            android:layout_marginRight="@dimen/d_12dp"
                            android:background="@drawable/shape_input_gray_4round_bg"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:gravity="center_vertical"
                                android:onClick="@{click.selectCountCode}"
                                android:orientation="horizontal"
                                android:paddingLeft="@dimen/d_13dp"
                                android:paddingRight="@dimen/d_13dp">

                                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginRight="@dimen/d_5dp"
                                    android:textColor="#FF373D44"
                                    android:textSize="@dimen/d_15sp"
                                    binding:text="@{viewModel.mMobileCodeLiveData}"
                                    tools:text="+65" />

                                <ImageView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:src="@drawable/login_mobile_drop_down_icon" />

                            </LinearLayout>


                            <EditText
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:background="@color/transparent"
                                android:hint="Enter Mobile"
                                android:inputType="phone"
                                android:singleLine="true"
                                android:text="@={click.MMobilePhoneLD}"
                                android:textColor="@color/input_black_text"
                                android:textColorHint="#FFA1B0BE"
                                android:textSize="@dimen/d_15sp"
                                binding:typefaceRegular="@{true}" />

                        </LinearLayout>

                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_18dp"
                            android:layout_marginTop="@dimen/d_12dp"
                            android:text="Full Name"
                            android:textColor="#547395"
                            android:textSize="14sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="43dp"
                            android:layout_marginLeft="@dimen/d_12dp"
                            android:layout_marginTop="@dimen/d_8dp"
                            android:layout_marginRight="@dimen/d_12dp"
                            android:background="@drawable/shape_input_gray_4round_bg"
                            android:hint="As Per NRIC"
                            android:paddingLeft="@dimen/d_12dp"
                            android:paddingRight="@dimen/d_12dp"
                            android:singleLine="true"
                            android:text="@={click.MFullNameLD}"
                            android:textColor="@color/input_black_text"
                            android:textColorHint="#FFA1B0BE"
                            android:textSize="@dimen/d_15sp"
                            binding:typefaceRegular="@{true}" />


                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_18dp"
                            android:layout_marginTop="@dimen/d_12dp"
                            android:text="NRIC"
                            android:textColor="#547395"
                            android:textSize="14sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="43dp"
                            android:layout_marginLeft="@dimen/d_12dp"
                            android:layout_marginTop="@dimen/d_8dp"
                            android:layout_marginRight="@dimen/d_12dp"
                            android:background="@drawable/shape_input_gray_4round_bg"
                            android:hint="Enter NRIC"
                            android:paddingLeft="@dimen/d_12dp"
                            android:paddingRight="@dimen/d_12dp"
                            android:singleLine="true"
                            android:text="@={click.MNRICLD}"
                            android:textColor="@color/input_black_text"
                            android:textColorHint="#FFA1B0BE"
                            android:textSize="@dimen/d_15sp"
                            binding:typefaceRegular="@{true}" />

                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_18dp"
                            android:layout_marginTop="@dimen/d_12dp"
                            android:text="Password"
                            android:textColor="#547395"
                            android:textSize="14sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="43dp"
                            android:layout_marginLeft="@dimen/d_12dp"
                            android:layout_marginTop="@dimen/d_8dp"
                            android:layout_marginRight="@dimen/d_12dp"
                            android:background="@drawable/shape_input_gray_4round_bg"
                            android:hint="Enter Password"
                            android:inputType="textPassword"
                            android:paddingLeft="@dimen/d_12dp"
                            android:paddingRight="@dimen/d_12dp"
                            android:singleLine="true"
                            android:text="@={click.MPasswordLD}"
                            android:textColor="@color/input_black_text"
                            android:textColorHint="#FFA1B0BE"
                            android:textSize="@dimen/d_15sp"
                            binding:typefaceRegular="@{true}" />


                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_18dp"
                            android:layout_marginTop="@dimen/d_12dp"
                            android:text="Confirm Password"
                            android:textColor="#547395"
                            android:textSize="14sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="43dp"
                            android:layout_marginLeft="@dimen/d_12dp"
                            android:layout_marginTop="@dimen/d_8dp"
                            android:layout_marginRight="@dimen/d_12dp"
                            android:background="@drawable/shape_input_gray_4round_bg"
                            android:hint="Enter Confirm Password"
                            android:inputType="textPassword"
                            android:paddingLeft="@dimen/d_12dp"
                            android:paddingRight="@dimen/d_12dp"
                            android:singleLine="true"
                            android:text="@={click.MConfirmPsdLD}"
                            android:textColor="@color/input_black_text"
                            android:textColorHint="#FFA1B0BE"
                            android:textSize="@dimen/d_15sp"
                            binding:typefaceRegular="@{true}" />


                        <com.guadou.lib_baselib.font_text_view.TextViewSBold
                            android:layout_width="match_parent"
                            android:layout_height="43dp"
                            android:layout_marginLeft="@dimen/d_12dp"
                            android:layout_marginTop="@dimen/d_20dp"
                            android:layout_marginRight="@dimen/d_12dp"
                            android:layout_marginBottom="@dimen/d_20dp"
                            android:background="@drawable/shape_btn_blue_3round_bg"
                            android:gravity="center"
                            android:text="Sign Up"
                            android:textColor="@color/white"
                            android:textSize="@dimen/d_16sp"
                            binding:clicks="@{click.doSignUp}" />

                    </LinearLayout>

                </LinearLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="5dp" />

            </LinearLayout>


        </ScrollView>

    </LinearLayout>

</layout>
